Subject: bug#65590: 29.0.50; esh-var-test/interp-concat-cmd fails on macOS

From: Jim Porter <[email-masked]>
Date: Wed, 13 Sep 2023 13:41:03 -0700

On 9/13/2023 1:34 PM, Stefan Kangas wrote:
> Jim Porter <[email-masked]> writes:
> 
>> Thanks for the logs. Could you try the attached patch to see if it
>> improves things?
> 
> Thanks.  The tests do not seem to fail with that patch:
> 
>    GEN      lisp/eshell/esh-cmd-tests.log
> 
> I was seeing some intermittent deadlocks in esh-cmd-tests.el at first,
> but not yet after I rebased your patch on top of the fixes you just
> pushed to master.
> 
> So for now, your patch seems to improve things.  I'll report back if I
> see the deadlocks again.

Thanks. Pushed to master as 9838f786ded. This hopefully resolves this 
bug, along with bug#59103 and bug#65601.